<div>
  <h2 id="page-heading" data-cy="EmployeHeading">
    <span jhiTranslate="gestionPersonnel3App.employe.home.title">Employes</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.employe.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-employe"
        [routerLink]="['/employe/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.employe.home.createLabel"> Créer un nouveau Employe </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="employes?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.employe.home.notFound">Aucun Employe trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="employes && employes.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="matricule">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.matricule">Matricule</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="nom">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.nom">Nom</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="prenom">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.prenom">Prenom</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="sexe">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.sexe">Sexe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateNaissance">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.dateNaissance">Date Naissance</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateIntegration">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.dateIntegration">Date Integration</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="situationMatrimoniale">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.situationMatrimoniale">Situation Matrimoniale</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="statutAgentPublic">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.statutAgentPublic">Statut Agent Public</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="indice">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.indice">Indice</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="soldeIndiciaire">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.soldeIndiciaire">Solde Indiciaire</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="salaireBase">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.salaireBase">Salaire Base</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="nombreCharge">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.nombreCharge">Nombre Charge</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="priseServicePosteActuel">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.priseServicePosteActuel">Prise Service Poste Actuel</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="telephone">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.telephone">Telephone</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="email">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.email">Email</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateProbableRetraite">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.dateProbableRetraite">Date Probable Retraite</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateAnniversaire">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.dateAnniversaire">Date Anniversaire</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="observation">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.observation">Observation</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateRecrutement">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.dateRecrutement">Date Recrutement</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="allocation">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.allocation">Allocation</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="natureRecrutement.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.natureRecrutement">Nature Recrutement</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="statut.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.employe.statut">Statut</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let employe of employes; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/employe', employe.id, 'view']">{{ employe.id }}</a>
          </td>
          <td>{{ employe.matricule }}</td>
          <td>{{ employe.nom }}</td>
          <td>{{ employe.prenom }}</td>
          <td jhiTranslate="{{ 'gestionPersonnel3App.Sexe.' + employe.sexe }}">{{ employe.sexe }}</td>
          <td>{{ employe.dateNaissance | formatMediumDate }}</td>
          <td>{{ employe.dateIntegration | formatMediumDate }}</td>
          <td jhiTranslate="{{ 'gestionPersonnel3App.SituationMatrimoniale.' + employe.situationMatrimoniale }}">
            {{ employe.situationMatrimoniale }}
          </td>
          <td jhiTranslate="{{ 'gestionPersonnel3App.StatutAgentPublic.' + employe.statutAgentPublic }}">
            {{ employe.statutAgentPublic }}
          </td>
          <td>{{ employe.indice }}</td>
          <td>{{ employe.soldeIndiciaire }}</td>
          <td>{{ employe.salaireBase }}</td>
          <td>{{ employe.nombreCharge }}</td>
          <td>{{ employe.priseServicePosteActuel | formatMediumDate }}</td>
          <td>{{ employe.telephone }}</td>
          <td>{{ employe.email }}</td>
          <td>{{ employe.dateProbableRetraite | formatMediumDate }}</td>
          <td>{{ employe.dateAnniversaire | formatMediumDate }}</td>
          <td>{{ employe.observation }}</td>
          <td>{{ employe.dateRecrutement | formatMediumDate }}</td>
          <td>{{ employe.allocation }}</td>
          <td>
            <div *ngIf="employe.natureRecrutement">
              <a [routerLink]="['/nature-recrutement', employe.natureRecrutement.id, 'view']">{{ employe.natureRecrutement.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="employe.statut">
              <a [routerLink]="['/statut', employe.statut.id, 'view']">{{ employe.statut.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/employe', employe.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/employe', employe.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(employe)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
